System Requirements information

Our platform

They Cyber Shrink
They Cyber Shrink

supported operating systems

  • mac OS X with macOS 10.7 or later
  • Windows 10
  • Windows 8 or 8.1
  • Windows 7
  • Windows Vista with SP1 or later
  • Windows XP with SP3 or later
  • Ubuntu 12.04 or higher
  • Mint 17.1 or higher
  • Red Hat Enterprise Linux 6.4 or higher
  • Oracle Linux 6.4 or higher
  • CentOS 6.4 or higher
  • Fedora 21 or higher
  • OpenSUSE 13.2 or higher
  • ArchLinux (64-bit only)

System Requirements

  • An internet connection – broadband wired or wireless (3G or 4G/LTE)
  • Speakers and a microphone – built-in or USB plug-in or wireless Bluetooth
  • A webcam or HD webcam - built-in or USB plug-in
  • Or, a HD cam or HD camcorder with video capture card

Supported Tablet and mobile Devices

  • Surface PRO 2 running Win 8.1
  • Surface PRO 3 running Win 10
  • iOS and Android devices
  • Blackberry devices

Supported Browsers

  • Windows: IE 11+, Edge 12+, Firefox 27+, Chrome 30+
  • Mac: Safari 7+, Firefox 27+, Chrome 30+
  • Linux: Firefox 27+, Chrome 30+